using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Pierwszy.Controllers
{
    public class HelloWorldController : Controller
    {
        //
        // GET: /Pierwszy1/

        public ActionResult Index()
        {
            return View();
            //na tym klikamy PKM, aby zrobić View
        }        

        //http://localhost:1277/HelloWorld/
        /*
        public string Index()
        {
            return "domyślna akcja";
        }
        */

        //http://localhost:1277/HelloWorld/Witaj
        public string Witaj()
        {
            return "Witaj, Świecie!";
        }

        //http://localhost:1277/HelloWorld/WitajArg?tekst=MVC&i=1
        //nie można przeciążać metod (runtime error)
        public string WitajArg(string tekst = "<I>Świecie!</I>", int i = 0)
        {
            return "Witaj, " + tekst + ": " + i.ToString();
        }

        //http://localhost:1277/HelloWorld/WitajArgAR?tekst=Przekazany argument&i=10
        //dla tej metody też robimy osobny widok
        public ActionResult WitajArgAR(string tekst = "<I>Świecie!</I>", int i = 0)
        {
            ViewBag.tekst = tekst;
            ViewBag.i = i;

            return View();
        }
    }
}
